Role
GET
/roles/{role_id}/permissionsList Role Permissions
Responses: 200, 400, 500
Generated from the code contract; no hand-written description yet.
Request
Example
curl -X GET 'https://api.paycose.com/api/v1/app1/platform/wallet/roles/{{role_id}}/permissions' \
-H 'X-Session-Token: {{session_token}}'Headers
| Name | Value |
|---|---|
| X-Session-Token | {{session_token}} |
Responses
200200 OK
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
{
"object": "<string>",
"group_id": "<string>",
"display_name": "<string>",
"level": "<string>",
"actions": [
"<string>"
]
}400400 Bad Request
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
{
"object": "error",
"code": "<string>",
"key": "<string>",
"i18n_key": "<string>",
"message": "<string>",
"request_id": "<string>"
}500500 Internal Server Error
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
{
"object": "error",
"code": "<string>",
"key": "<string>",
"i18n_key": "<string>",
"message": "<string>",
"request_id": "<string>"
}